singa-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alexander Davis (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (SINGA-409) [Singa 1.2.0] Basic `singa-cpu` import throws error
Date Sat, 04 May 2019 11:59:00 GMT

    [ https://issues.apache.org/jira/browse/SINGA-409?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16833050#comment-16833050
] 

Alexander Davis edited comment on SINGA-409 at 5/4/19 11:58 AM:
----------------------------------------------------------------

I had the same issue with MacOS Mojave 10.14.4 installing with conda

 

 
{code:java}
Traceback (most recent call last):   File "/miniconda3/lib/python3.6/site-packages/singa/singa_wrap.py",
line 18, in swig_import_helper     return importlib.import_module(mname)   File "/miniconda3/lib/python3.6/importlib/__init__.py",
line 126, in import_module     return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import   File "<frozen
importlib._bootstrap>", line 971, in _find_and_load   File "<frozen importlib._bootstrap>",
line 955, in _find_and_load_unlocked   File "<frozen importlib._bootstrap>", line 658,
in _load_unlocked   File "<frozen importlib._bootstrap>", line 571, in module_from_spec
  File "<frozen importlib._bootstrap_external>", line 922, in create_module   File
"<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed ImportError:
dlopen(/miniconda3/lib/python3.6/site-packages/singa/_singa_wrap.so, 2): Library not loaded:
@rpath/libopenblasp-r0.2.19.dylib   Referenced from: /miniconda3/lib/python3.6/site-packages/singa/_singa_wrap.so
  Reason: image not found During handling of the above exception, another exception occurred:
Traceback (most recent call last):   File "<string>", line 1, in <module>  
File "/miniconda3/lib/python3.6/site-packages/singa/__init__.py", line 18, in <module>
    from . import singa_wrap   File "/miniconda3/lib/python3.6/site-packages/singa/singa_wrap.py",
line 21, in <module>     _singa_wrap = swig_import_helper()   File "/miniconda3/lib/python3.6/site-packages/singa/singa_wrap.py",
line 20, in swig_import_helper     return importlib.import_module('_singa_wrap')   File
"/miniconda3/lib/python3.6/importlib/__init__.py", line 126, in import_module     return
_bootstrap._gcd_import(name[level:], package, level) ModuleNotFoundError: No module named
'_singa_wrap'
{code}


was (Author: alexander7161):
I had the same issue with MacOS Mojave 10.14.4

 

 
{code:java}
Traceback (most recent call last):   File "/miniconda3/lib/python3.6/site-packages/singa/singa_wrap.py",
line 18, in swig_import_helper     return importlib.import_module(mname)   File "/miniconda3/lib/python3.6/importlib/__init__.py",
line 126, in import_module     return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import   File "<frozen
importlib._bootstrap>", line 971, in _find_and_load   File "<frozen importlib._bootstrap>",
line 955, in _find_and_load_unlocked   File "<frozen importlib._bootstrap>", line 658,
in _load_unlocked   File "<frozen importlib._bootstrap>", line 571, in module_from_spec
  File "<frozen importlib._bootstrap_external>", line 922, in create_module   File
"<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed ImportError:
dlopen(/miniconda3/lib/python3.6/site-packages/singa/_singa_wrap.so, 2): Library not loaded:
@rpath/libopenblasp-r0.2.19.dylib   Referenced from: /miniconda3/lib/python3.6/site-packages/singa/_singa_wrap.so
  Reason: image not found During handling of the above exception, another exception occurred:
Traceback (most recent call last):   File "<string>", line 1, in <module>  
File "/miniconda3/lib/python3.6/site-packages/singa/__init__.py", line 18, in <module>
    from . import singa_wrap   File "/miniconda3/lib/python3.6/site-packages/singa/singa_wrap.py",
line 21, in <module>     _singa_wrap = swig_import_helper()   File "/miniconda3/lib/python3.6/site-packages/singa/singa_wrap.py",
line 20, in swig_import_helper     return importlib.import_module('_singa_wrap')   File
"/miniconda3/lib/python3.6/importlib/__init__.py", line 126, in import_module     return
_bootstrap._gcd_import(name[level:], package, level) ModuleNotFoundError: No module named
'_singa_wrap'
{code}

> [Singa 1.2.0] Basic `singa-cpu` import throws error
> ---------------------------------------------------
>
>                 Key: SINGA-409
>                 URL: https://issues.apache.org/jira/browse/SINGA-409
>             Project: Singa
>          Issue Type: Bug
>         Environment: MacOS Mojave 10.14
>            Reporter: Ngin Yun Chuan
>            Priority: Major
>
> When I run the image built from this Dockerfile in Docker:
> {noformat}
> FROM ubuntu:16.04
> RUN apt-get update && apt-get -y upgrade
> # Install conda with pip and python 3.6
> RUN apt-get -y install curl bzip2 \
> && curl -sSL https://repo.continuum.io/miniconda/Miniconda3-latest-Linux-x86_64.sh
-o /tmp/miniconda.sh \
> && bash /tmp/miniconda.sh -bfp /usr/local \
> && rm -rf /tmp/miniconda.sh \
> && conda create -y --name rafiki python=3.6 \
> && conda clean --all --yes
> ENV PATH /usr/local/envs/rafiki/bin:$PATH
> RUN conda install --name rafiki -y -c nusdbsystem singa-cpu==1.2.0
> CMD python -c 'import singa'
> {noformat}
> I get an error:
> {noformat}
> >>> import singa
> Traceback (most recent call last):
>   File "/usr/local/envs/rafiki/lib/python3.6/site-packages/singa/singa_wrap.py", line
18, in swig_import_helper
>     return importlib.import_module(mname)
>   File "/usr/local/envs/rafiki/lib/python3.6/importlib/__init__.py", line 126, in import_module
>     return _bootstrap._gcd_import(name[level:], package, level)
>   File "<frozen importlib._bootstrap>", line 994, in _gcd_import
>   File "<frozen importlib._bootstrap>", line 971, in _find_and_load
>   File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
>   File "<frozen importlib._bootstrap>", line 658, in _load_unlocked
>   File "<frozen importlib._bootstrap>", line 571, in module_from_spec
>   File "<frozen importlib._bootstrap_external>", line 922, in create_module
>   File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
> ImportError: /usr/local/envs/rafiki/lib/python3.6/site-packages/singa/../../../libstdc++.so.6:
version `GLIBCXX_3.4.20' not found (required by /usr/local/envs/rafiki/lib/python3.6/site-packages/singa/../../../libprotobuf.so.17)
> During handling of the above exception, another exception occurred:
> Traceback (most recent call last):
>   File "<stdin>", line 1, in <module>
>   File "/usr/local/envs/rafiki/lib/python3.6/site-packages/singa/__init__.py", line 18,
in <module>
>     from . import singa_wrap
>   File "/usr/local/envs/rafiki/lib/python3.6/site-packages/singa/singa_wrap.py", line
21, in <module>
>     _singa_wrap = swig_import_helper()
>   File "/usr/local/envs/rafiki/lib/python3.6/site-packages/singa/singa_wrap.py", line
20, in swig_import_helper
>     return importlib.import_module('_singa_wrap')
>   File "/usr/local/envs/rafiki/lib/python3.6/importlib/__init__.py", line 126, in import_module
>     return _bootstrap._gcd_import(name[level:], package, level)
> ModuleNotFoundError: No module named '_singa_wrap'
> {noformat}
> On the other hand, when I downgrade the version from `1.2.0` to `1.1.1`, it seem to work
fine.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message